from http.server import HTTPServer
from http.server import BaseHTTPRequestHandler

class HttpGetHandler(BaseHTTPRequestHandler):
def do_GET(self):
try:
if self.path.endswith("/Ok"):
self.send_response(200)

self.send_header("Content-type", "text/html")
self.end_headers()

http_text ="""" <html><head><meta charset='utf-8'>
<title>Empty HTTP-server.</title></head>
<body>This is the main page.</body></html> """
self.wfile.write(http_text.encode())
if self.path.endswith("/Info"):
self.send_response(200)

self.send_header("Content-type", "text/html")
self.end_headers()

http_text ="""" <html><head><meta charset='utf-8'>
<title>Empty Info.</title></head>
<body>Runcova Irina Alecseevna 701(3).</body></html> """
self.wfile.write(http_text.encode())


except IOError:
self.send_error(400, f"File not found{self.path}")



def main(server_class=HTTPServer, handler_class=HttpGetHandler):
server_address = ('localhost', 8000)
httpd = server_class(server_address, handler_class)
try:
print("Starting the server!")
httpd.serve_forever()

except KeyboardInterrupt:
httpd.server_close()
print("The server is stopped!")

if __name__ == '__main__' :
main()